rip(1)

rip
Usage: rip [command] Rip rips CD's. Rip gives you a tree of subcommands to work with. You can get help on subcommands by using the -h option to the subcommand. Commands:
  accurip Handle AccurateRip information.
  cd handle CD's
  debug debug internals
  drive handle drives
  image handle images
  offset handle drive offsets Implemented by: morituri.rip.main.Rip Options:
  -h, --help show this help message and exit
  -R, --record record API requests for playback
  -v, --version show version information

rip accurip
Usage: rip accurip [command] Handle AccurateRip information. Commands:
  show show accuraterip data Implemented by: morituri.rip.accurip.AccuRip Options:
  -h, --help show this help message and exit

rip accurip show
Usage: rip accurip show show accuraterip data Implemented by: morituri.rip.accurip.Show Options:
  -h, --help show this help message and exit

rip cd
handle CD's Usage: rip cd [command] handle CD's Commands:
  info retrieve information about the currently inserted CD
  rip rip CD Implemented by: morituri.rip.cd.CD Options:
  -h, --help show this help message and exit
  -d DEVICE, --device=DEVICE
                        CD-DA device

rip cd info
Usage: rip cd info retrieve information about the currently inserted CD Implemented by: morituri.rip.cd.Info Options:
  -h, --help show this help message and exit
  -T TOC_PICKLE, --toc-pickle=TOC_PICKLE
                        pickle to use for reading and writing the TOC
  -R RELEASE_ID, --release-id=RELEASE_ID
                        MusicBrainz release id to match to (if there
                        are multiple)

rip cd rip
rip CD Usage: rip cd rip Rips a CD.
 Tracks are named according to the track template, filling in the variables and adding the file extension. Variables exclusive to the track template are:
 - %t: track number
 - %a: track artist
 - %n: track title
 - %s: track sort name Disc files (.cue, .log, .m3u) are named according to the disc template, filling in the variables and adding the file extension. Variables for both disc and track template are:
 - %A: album artist
 - %S: album sort name
 - %d: disc title
 - %y: release year
 - %r: release type, lowercase
 - %R: Release type, normal case
 - %x: audio extension, lowercase
 - %X: audio extension, uppercase Paths to track files referenced in .cue and .m3u files will be made relative to the directory of the disc files. All files will be created relative to the given output directory. Log files will log the path to tracks relative to this directory. Implemented by: morituri.rip.cd.Rip Options:
  -h, --help show this help message and exit
  -T TOC_PICKLE, --toc-pickle=TOC_PICKLE
                        pickle to use for reading and writing the TOC
  -R RELEASE_ID, --release-id=RELEASE_ID
                        MusicBrainz release id to match to (if there
                        are multiple)
  -L LOGGER, --logger=LOGGER
                        logger to use (default 'morituri', choose from
                        'morituri')
  -o OFFSET, --offset=OFFSET
                        sample read offset (defaults to configured
                        value, or 0)
  -O OUTPUT_DIRECTORY, --output-directory=OUTPUT_DIRECTORY
                        output directory; will be included in file
                        paths in result files (defaults to absolute
                        path to current directory; set to empty if you
                        want paths to be relative instead)
  -W WORKING_DIRECTORY, --working-directory=WORKING_DIRECTORY
                        working directory; morituri will change to
                        this directory and files will be created
                        relative to it when not absolute
  --track-template=TRACK_TEMPLATE
                        template for track file naming (default %r/%A
                        - %d/%t. %a - %n)
  --disc-template=DISC_TEMPLATE
                        template for disc file naming (default %r/%A -
                        %d/%A - %d)
  --profile=PROFILE profile for encoding (default 'flac', choices
                        'wav', 'wavpack', 'alac', 'flac')
  -U, --unknown whether to continue ripping if the CD is
                        unknown (False)

rip debug
debug internals Usage: rip debug [command] debug internals Commands:
  checksum run a checksum task
  encode run an encode task
  maxsample run a max sample task
  musicbrainzngs examine MusicBrainz NGS info
  resultcache debug result cache
  tag run a tag reading task
  version debug version getting Implemented by: morituri.rip.debug.Debug Options:
  -h, --help show this help message and exit

rip debug checksum
Usage: rip debug checksum run a checksum task Implemented by: morituri.rip.debug.Checksum Options:
  -h, --help show this help message and exit

rip debug encode
Usage: rip debug encode run an encode task Implemented by: morituri.rip.debug.Encode Options:
  -h, --help show this help message and exit
  --profile=PROFILE profile for encoding (default 'flac', choices
                     'alac', 'mp3', 'flac', 'wav', 'wavpack',
                     'mp3vbr', 'vorbis')

rip debug maxsample
Usage: rip debug maxsample run a max sample task Implemented by: morituri.rip.debug.MaxSample Options:
  -h, --help show this help message and exit

rip debug musicbrainzngs
examine MusicBrainz NGS info Usage: rip debug musicbrainzngs [MusicBrainz disc id] Look up a MusicBrainz disc id and output information. You can get the MusicBrainz disc id with rip cd info. Example disc id: KnpGsLhvH.lPrNc1PBL21lb9Bg4- Implemented by: morituri.rip.debug.MusicBrainzNGS Options:
  -h, --help show this help message and exit

rip debug resultcache
debug result cache Usage: rip debug resultcache [command] debug result cache Aliases: rc Commands:
  cue write a cue file for the cached result
  list list cached results
  log write a log file for the cached result Implemented by: morituri.rip.debug.ResultCache Options:
  -h, --help show this help message and exit

rip debug resultcache cue
Usage: rip debug resultcache cue write a cue file for the cached result Implemented by: morituri.rip.debug.RCCue Options:
  -h, --help show this help message and exit

rip debug resultcache list
Usage: rip debug resultcache list list cached results Implemented by: morituri.rip.debug.RCList Options:
  -h, --help show this help message and exit

rip debug resultcache log
Usage: rip debug resultcache log write a log file for the cached result Implemented by: morituri.rip.debug.RCLog Options:
  -h, --help show this help message and exit
  -L LOGGER, --logger=LOGGER
                        logger to use (default 'morituri', choose from
                        'morituri')

rip debug tag
Usage: rip debug tag run a tag reading task Implemented by: morituri.rip.debug.Tag Options:
  -h, --help show this help message and exit

rip debug version
debug version getting Usage: rip debug version [command] debug version getting Commands:
  cdparanoia
  cdrdao Implemented by: morituri.rip.debug.Version Options:
  -h, --help show this help message and exit

rip debug version cdparanoia
Usage: rip debug version cdparanoia Options:
  -h, --help show this help message and exit

rip debug version cdrdao
Usage: rip debug version cdrdao Options:
  -h, --help show this help message and exit

rip drive
handle drives Usage: rip drive [command] handle drives Commands:
  analyze analyze caching behaviour of drive
  list list drives Implemented by: morituri.rip.drive.Drive Options:
  -h, --help show this help message and exit

rip drive analyze
Usage: rip drive analyze analyze caching behaviour of drive Implemented by: morituri.rip.drive.Analyze Options:
  -h, --help show this help message and exit
  -d DEVICE, --device=DEVICE
                        CD-DA device

rip drive list
Usage: rip drive list list drives Implemented by: morituri.rip.drive.List Options:
  -h, --help show this help message and exit

rip image
handle images Usage: rip image [command] Handle disc images. Disc images are described by a .cue file. Disc images can be encoded to another format (for example, to make a compressed encoding), retagged and verified. Commands:
  encode encode image
  retag retag image files
  verify verify image Implemented by: morituri.rip.image.Image Options:
  -h, --help show this help message and exit

rip image encode
Usage: rip image encode encode image Implemented by: morituri.rip.image.Encode Options:
  -h, --help show this help message and exit
  -O OUTPUT_DIRECTORY, --output-directory=OUTPUT_DIRECTORY
                        output directory (defaults to current
                        directory)
  --profile=PROFILE profile for encoding (default 'vorbis',
                        choices 'alac', 'mp3', 'flac', 'wav',
                        'wavpack', 'mp3vbr', 'vorbis')

rip image retag
Usage: rip image retag retag image files Implemented by: morituri.rip.image.Retag Options:
  -h, --help show this help message and exit
  -R RELEASE_ID, --release-id=RELEASE_ID
                        MusicBrainz release id to match to (if there
                        are multiple)

rip image verify
verify image Usage: rip image verify [CUEFILE]... Verifies the image from the given .cue files against the AccurateRip database. Implemented by: morituri.rip.image.Verify Options:
  -h, --help show this help message and exit

rip offset
handle drive offsets Usage: rip offset [command] handle drive offsets Commands:
  find find drive read offset Implemented by: morituri.rip.offset.Offset Options:
  -h, --help show this help message and exit

rip offset find
find drive read offset Usage: rip offset find Find drive's read offset by ripping tracks from a CD in the AccurateRip database. Implemented by: morituri.rip.offset.Find Options:
  -h, --help show this help message and exit
  -o OFFSETS, --offsets=OFFSETS
                        list of offsets, comma-separated, colon-
                        separated for ranges (defaults to +6, +48,
                        +102, +667, +12, +30, +618, +594, +738, -472,
                        +98, +116, +96, +733, +120, +691, +685, +97,
                        +600, +690, +1292, +99, +676, +686, +1182,
                        -24, +704, +572, +688, +91, +696, +103, -491,
                        +689, +145, +708, +697, +564, +86, +679, +355,
                        -496, -1164, +1160, +694, 0, -436, +79, +94,
                        +684, +681, +106, +692, +943, +1194, +92,
                        +117, +680, +682, +1268, +678, -582, +1473,
                        +1279, -54, +1508, +740, +1272, +534, +976,
                        +687, +675, +1303, +674, +1263, +108, +974,
                        +122, +111, -489, +772, +732, -495, -494,
                        +975, +935, +87, +668, +1776, +1364, +1336,
                        +1127)
  -d DEVICE, --device=DEVICE
                        CD-DA device